<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (1.8.0_161) on Mon Oct 01 15:14:29 CEST 2018 -->
<title>Usable</title>
<meta name="date" content="2018-10-01">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Usable";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Usable.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../ch/sebi/zuul/logic/items/ItemSlot.html" title="class in ch.sebi.zuul.logic.items"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../ch/sebi/zuul/logic/items/Weapon.html" title="interface in ch.sebi.zuul.logic.items"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?ch/sebi/zuul/logic/items/Usable.html" target="_top">Frames</a></li>
<li><a href="Usable.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">ch.sebi.zuul.logic.items</div>
<h2 title="Interface Usable" class="title">Interface Usable</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="../../../../../ch/sebi/zuul/logic/items/Item.html" title="interface in ch.sebi.zuul.logic.items">Item</a></dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../../ch/sebi/zuul/logic/items/items/food/Food.html" title="class in ch.sebi.zuul.logic.items.items.food">Food</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">Usable</span>
extends <a href="../../../../../ch/sebi/zuul/logic/items/Item.html" title="interface in ch.sebi.zuul.logic.items">Item</a></pre>
<div class="block">A interface which annotates a if an item is usable</div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>1.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Sebastian Zumbrunn</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/logic/items/Usable.html#destroyOnUse--">destroyOnUse</a></span>()</code>
<div class="block">Returns if the item is destroyed on use</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/logic/items/Usable.html#use-ch.sebi.zuul.logic.player.Player-ch.sebi.zuul.logic.Game-">use</a></span>(<a href="../../../../../ch/sebi/zuul/logic/player/Player.html" title="class in ch.sebi.zuul.logic.player">Player</a>&nbsp;player,
   <a href="../../../../../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic">Game</a>&nbsp;game)</code>
<div class="block">called if the item is used</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.ch.sebi.zuul.logic.items.Item">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;ch.sebi.zuul.logic.items.<a href="../../../../../ch/sebi/zuul/logic/items/Item.html" title="interface in ch.sebi.zuul.logic.items">Item</a></h3>
<code><a href="../../../../../ch/sebi/zuul/logic/items/Item.html#getName--">getName</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="use-ch.sebi.zuul.logic.player.Player-ch.sebi.zuul.logic.Game-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>use</h4>
<pre>void&nbsp;use(<a href="../../../../../ch/sebi/zuul/logic/player/Player.html" title="class in ch.sebi.zuul.logic.player">Player</a>&nbsp;player,
         <a href="../../../../../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic">Game</a>&nbsp;game)</pre>
<div class="block">called if the item is used</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>player</code> - the character which uses the item</dd>
<dd><code>game</code> - the game instance</dd>
</dl>
</li>
</ul>
<a name="destroyOnUse--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>destroyOnUse</h4>
<pre>boolean&nbsp;destroyOnUse()</pre>
<div class="block">Returns if the item is destroyed on use</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>if the item is destroy on use or no</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Usable.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../ch/sebi/zuul/logic/items/ItemSlot.html" title="class in ch.sebi.zuul.logic.items"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../ch/sebi/zuul/logic/items/Weapon.html" title="interface in ch.sebi.zuul.logic.items"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?ch/sebi/zuul/logic/items/Usable.html" target="_top">Frames</a></li>
<li><a href="Usable.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
